#include <stdint.h> // Needed for uint32_t
#include <string.h> // Needed for memcmp, memcpy

//Function memcmpKAZE% (ByVal buf1 As _Offset, Byval buf2 As _Offset, Byval bytes As Long)
int memcmpKAZE (char * buf1, char * buf2, uint32_t bytes)
{
return memcmp(buf1, buf2, bytes);
}

//int __cdecl memcmp (const void * buf1, const void * buf2, size_t count)
//int memcmp(buf1, buf2, count) - compare memory for lexical order
//
//Purpose:
//       Compares count bytes of memory starting at buf1 and buf2
//       and find if equal or which one is first in lexical order.
//
//Entry:
//       void *buf1, *buf2 - pointers to memory sections to compare
//       size_t count - length of sections to compare
//
//Exit:
//       returns < 0 if buf1 < buf2
//       returns  0  if buf1 == buf2
//       returns > 0 if buf1 > buf2

//Sub memcpyKAZE (ByVal dest As _Offset, Byval source As _Offset, Byval bytes As Long)
void memcpyKAZE (char * dest, char * source, uint32_t bytes)
{
memcpy(dest, source, bytes);
}
//void * __cdecl memcpy (void * dst, const void * src, size_t count)
//memcpy - Copy source buffer to destination buffer
//
//Purpose:
//       memcpy() copies a source memory buffer to a destination memory buffer.
//       This routine does NOT recognize overlapping buffers, and thus can lead
//       to propogation.
//
//       For cases where propogation must be avoided, memmove() must be used.
//
//Entry:
//       void *dst = pointer to destination buffer
//       const void *src = pointer to source buffer
//       size_t count = number of bytes to copy
//
//Exit:
//       Returns a pointer to the destination buffer
